Puntuado con 1 de 5 estrellas

But does not work yet or conflicts with somwthing else on FF6.0

Esta valoración es de una versión anterior del complemento (1.0b.1-signed.1-signed). 

Works perfectly on my FF6.0.2

Please make sure you don't have another extension conflicting